function [XRFbands, anchorRegions, truncationLimits, backgroundRegions] = BandDefinitionsOS5()
% The new OurSci XRF band definitions.

% For analyzing the bands > 1.4 keV in produce only.

% Species, {Emission line name, band center, Relative intensity}
XRFbands = {...
    'Al-K', {'Ka1', 1.4867, 100};...
    'ESCK Ka1SiKa1', {'ESC', 1.5738, 100};...
    'Si-K', {'Ka1', 1.73998, 100};...
    'ESCCaKa1SiKa1', {'ESC', 1.9517, 100};...
    'P-K',	{'Ka1', 2.0137, 100;...
             'Kb1', 2.1391, 4.1};...
    'ESCCaKb1SiKa1', {'ESC', 2.2727, 100};...
    'S-K', {'Ka1', 2.30784, 100;...
           'Kb1', 2.46404, 6.5};...
    'Cl-K', {'Ka1', 2.62239, 100;...
           'Kb1', 2.8156, 8.9};...
    'Rh-L', {'La1', 2.69674, 100;...
           'La2', 2.69205, 10;...
           'Lb1', 2.83441, 42;...
           'Lb2', 3.0013, 6};...
    'Ar-K', {'Ka1', 2.9577, 100;...
           'Kb1', 3.1905, 11.3};...
    'K-K', {'Ka1', 3.3138, 100;...
           'Kb1', 3.5896, 13.7};...
%     'Sn', {'La1', 3.44398, 100;... % No Sn bands showing up in the calibration data.
%            'La2', 3.43542, 10;...
%            'Lb1', 3.6628, 42};...
    'Ca-K', {'Ka1', 3.69168, 100;...
           'Ka2', 3.68809, 50;...
           'Kb1', 4.0127, 19.52};...
    'Ti-K', {'Ka2', 4.50486, 50;...
           'Ka1', 4.51084, 100;...
           'Kb1', 4.93181, 20.44};...
    'Mn-K', {'Ka1', 5.89875, 100;...
           'Ka2', 5.88765, 50;...
           'Kb1', 6.49045, 19.5};...
    'Fe-K', {'Ka2', 6.39084, 50;...
           'Ka1', 6.40384, 100;...
           'Kb1', 7.05798, 20.4};...
    'Co-K', {'Ka1', 6.93032, 100;...
           'Ka2', 6.9153, 50; ...
           'Kb1', 7.64943, 20};...
    'SUMK Ka1CaKa1', {'SUM', 7.0055, 100};...
    'Ni-K', {'Ka1', 7.47815, 100;...
           'Ka2', 7.46089, 50;...
           'Kb1', 8.26466, 20};...
    'Cu-K', {'Ka1', 8.04778, 100;...
           'Ka2', 8.02783, 50;...
           'Kb1', 8.90529, 20.25};...
    'Zn-K', {'Ka1', 8.63886, 100;...
           'Ka2', 8.61578, 50;...
           'Kb1', 9.572, 20};...
    'Br-k', {'Ka1', 11.9242, 100;...
           'Ka2', 11.8776, 50;...
           'Kb1', 13.2914, 15.2;...
           'Kb2', 13.4671, 2.2;...
           'Kb3', 13.2813, 8};...
    'Rb-K', {'Ka1', 13.3953, 100;...
           'Ka2', 13.3358, 50;...
           'Kb1', 14.9613, 15.8;...
           'Kb2', 15.1837, 2.6;...
           'Kb3', 14.949, 7.7};...
    'Sr-K', {'Ka1', 14.165, 100;...
           'Ka2', 14.0979, 50;...
           'Kb1', 15.8357, 16;...
           'Kb2', 16.0835, 2.8;...
           'Kb3', 15.8226, 7.7};...
    'Mo-K', {'Ka1', 17.47934, 100;...
           'Ka2', 17.3743, 50;...
           'Kb1', 19.6083, 17.1;...
           'Kb2', 19.9613, 3.6;...
           'Kb3', 19.5858, 8};...
    'SUMK Ka1CaKb1', {'SUM', 7.3265, 100}}; % unknown bands at 19.1, 20.15
       
% Background anchor regions:
%   [rangeStart, rangeEnd, type]
% peak-free regions based on plotting 2020 OurSci crop helium data.
anchorRegions = {...
    .52, .65, 'all';... % mean
    1.31, 1.38, 'all';... % minimum
    4.21, 4.35, 'all';... % mean
    4.65, 4.85, 'all';... % mean
    5.05, 5.55, 'all';... % mean
    8.83, 9.34, 'all';... % mean
    9.93, 11.5, 'all';... % mean
    12.2, 13.1, 'min';... % min
    14.4, 15.4, 'all';... % mean
    16.2, 17.1, 'all';... % mean
    17.8, 18.4, 'all';... % mean
    20.5, 21, 'all';... % mean
    22, 23, 'all';... % mean
    24, 37, 'all'}; % mean

% Truncation Limits:
truncationLimits = [ 1.4, 40];

% Regions defined as: [start, stop, polynomial order]
backgroundRegions = {...
    -inf, 0.65, 1; ... % linear fit
    0.52, 5.5, 3; ... % cubic fit
    5.1, 11.3, 4; ... % 4th degree polynomial
    10, 26, 5;... % 5th degree polynomial
    24, inf, 1}; % linear fit

end
